Subject: Moving to 3986

From: Mark Nottingham <[email-masked]>
Date: Wed, 28 Jun 2006 17:03:30 -0700

Just a note so it isn't forgotten -

If/when the reference to 2616 is changed to 3986, it will important  
to remember to make a decision about the "mark" production in the  
former (which are unreserved characters) which have been moved to  
have reserved status in the latter.

By referencing 2396, HTTP allows these characters unescaped in path  
segments, etc. If 3986 is referenced as-is, they will be effectively  
disallowed, thereby effectively making a number of existing HTTP URIs  
invalid.

This includes the exclamation mark ("!"), asterisk ("*"), single- 
quote ("'"), and open and close parentheses ("(" and ")").

--
Mark Nottingham
[email-masked]